# NATS C Client with JetStream and Streaming support: micro_endpoint_stats_s Struct Reference

Loading...
Searching...
No Matches
micro_endpoint_stats_s Struct Reference
EXPERIMENTAL - Microservices » Public structs

`#include <nats.h>`

## Public Attributes

const char * | Name
const char * | Subject
int64_t | NumRequests
| The number of requests received by the endpoint.
int64_t | NumErrors
| The number of errors, service-level and internal, associated with the endpoint.
int64_t | ProcessingTimeSeconds
| total request processing time (the seconds part).
int64_t | ProcessingTimeNanoseconds
| total request processing time (the nanoseconds part).
int64_t | AverageProcessingTimeNanoseconds
| average request processing time, in ns.
char | LastErrorString [2048]
| a copy of the last error message.

## Detailed Description

The Microservice endpoint stats struct.

## Member Data Documentation

## Name

const char* micro_endpoint_stats_s::Name

## Subject

const char* micro_endpoint_stats_s::Subject

## NumRequests

int64_t micro_endpoint_stats_s::NumRequests

## NumErrors

int64_t micro_endpoint_stats_s::NumErrors

## ProcessingTimeSeconds

int64_t micro_endpoint_stats_s::ProcessingTimeSeconds

## ProcessingTimeNanoseconds

int64_t micro_endpoint_stats_s::ProcessingTimeNanoseconds

## AverageProcessingTimeNanoseconds

int64_t micro_endpoint_stats_s::AverageProcessingTimeNanoseconds

## LastErrorString

char micro_endpoint_stats_s::LastErrorString[2048]

The documentation for this struct was generated from the following file:

- nats.h